#!/usr/bin/sage -python
from EllipticCurve import EllipticCurveStandard
from sage.all import sqrt

class DoubleAndAdd3p(EllipticCurveStandard):
    a = -3
    b = 100000
    xMax = 200
    xMin = -200

    # copied & pasted from EllipticCurveStandard
    def curveFunction(self, x):
        result = (x ** 3) + (x * self.a) + self.b
        if result < 0:
            return sqrt(-result)
        return sqrt(result)

if __name__ == "__main__":
    s = DoubleAndAdd3p()
    s.run()

