#!/usr/bin/sage
from EllipticCurve import EllipticCurveStandard, EllipticCurveModRing
from ModularAddition import ModularAddition
from NonModularAddition import NonModularAddition
from DoubleAndAdd9p import DoubleAndAdd9p
from DoubleAndAdd3p import DoubleAndAdd3p
from SwuSample import BigSwuSample, SmallSwuSample
from SPEKE import AliceStep1, AliceStep2, BobStep1, BobStep2

EllipticCurveStandard().run()
DoubleAndAdd3p().run()
EllipticCurveModRing().run()
NonModularAddition().run()
ModularAddition().run()
DoubleAndAdd9p().run()
#BigSwuSample().run()
SmallSwuSample().run()
AliceStep1().run()
AliceStep2().run()
BobStep1().run()
BobStep2().run()
