
def showRelatedPoints(self, p, q, result):
    qNegative = (q[0], -q[1])
    result += self.finiteLine(p, qNegative, '-')
    result += self.finiteLine(q, qNegative, '--')
    return result


def createEllipticCurveAdditionExample(self, showLines=False):
    result = self.ellipticCurve()

    p0 = (1, self.curveFunction(1))
    result += self.point(p0, "p")

    self.out.indent('Checking that (p + p + p) + p == 2 x (p + p)')
    p = p0
    self.printPoint("p", p)
    pp = self.addPoints(p, p)
    ppp = self.addPoints(pp, p)
    q = pp
    result += self.point(q, "q")
    r = ppp
    result += self.point(r, "r")
    result += self.point(ppp, "(p+p)+p")
    result += self.point(self.addPoints(p, pp), "p+(p+p)")
    ppp_p = self.addPoints(ppp, p)
    result += self.point(ppp_p, "(p+p+p)+p")
    result += self.point(pp, "p+p")
    pp_pp = self.addPoints(pp, pp)
    result += self.point(pp_pp, "2(p+p)")

    if showLines:
        result = showRelatedPoints(self, p, q, result)
        result = showRelatedPoints(self, q, pp_pp, result)
        result = showRelatedPoints(self, q, r, result)

    self.printPoint("(p + p + p) + p", ppp_p)
    self.printPoint("2 x (p + p)", pp_pp)
    self.assertEqual(ppp_p, pp_pp)
    self.out.unIndent()

    self.out.indent('Checking that (p + q) + r == p + (q + r)')
    p = p0
    self.printPoint("p", p)


    self.out.indent('p + (q + r) = ...')
    qr = self.addPoints(q, r)
    result += self.point(qr, "q+r")
    self.printPoint("q + r", qr)

    p_qr = self.addPoints(p, qr)
    result += self.point(p_qr, "p+(q+r)")
    if showLines:
        result = showRelatedPoints(self, p, p_qr, result)
    self.printPoint("p +(q + r)", p_qr)
    self.out.unIndent()

    self.out.indent('(p + q) + r = ...')
    pq = self.addPoints(p, q)
    result += self.point(pq, "p+q")
    self.printPoint("p + q", pq)

    pq_r = self.addPoints(pq, r)
    result += self.point(pq_r, "(p+q)+r")
    self.printPoint("(p + q) + r", pq_r)
    self.out.unIndent()

    self.assertEqual(pq_r, p_qr)

    self.out.unIndent()

    return result
